<template>
    <div>
        <h1> {{title}} </h1>
        <button class="change-text" type="button" v-on:click="ChangeTitle">click</button>
    </div>
</template>

<script>
    export default {
        name: 'CompHeader',
        props:{
            title: String
        },
        data () {
            return {
                
            }
        },
        methods: {
            ChangeTitle(e){
                var data={
                    title: "Tesst title"
                }
                this.$emit('changeTitleEvent', data);
            }
        }
    }
</script>

<style scoped>
    .change-text{
        margin-bottom: 15px;
    }
</style>